body {
    background:linear-gradient(135deg,#ff8800,#ffd000);    
	background-repeat: no-repeat;
	background-attachment: fixed;
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background-color: #f4f4f9;
}

.welcome {
    scroll-snap-align: start;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    font-size: 30px;
    width: 100%;
    height: 100dvh;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}


.head {
    text-shadow: 0 0 5px rgba(255,255,255,0.4);
    font-size: 50px;
    z-index: 1;
    color: #ffffff;
}

.paragraph {
    text-shadow: 0 0 5px rgba(255,255,255,0.2);
    font-size: 25px;
    margin-left: 30px;
    /* margin-right: 60px; */
    z-index: 1;
    color: #ffffff;
}

.head-right {
    text-shadow: 0 0 5px rgba(255,255,255,0.4);
    font-size: 50px;
    color: #ffffff;
    z-index: 1;
}

.paragraph-right {
    text-shadow: 0 0 5px rgba(255,255,255,0.2);
    font-size: 25px;
    margin-right: 30px;
    z-index: 1;
    color: #ffffff;
}

.left {
    height: 100dvh;
    width: 100%;

    display: flex;
    align-items: center;

    scroll-snap-align: start;
}

.right {
    height: 100dvh;
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: right;
    background-color: #4cd5e1;
    scroll-snap-align: start;
}

section {
  scroll-snap-align: start;
  min-height: 100vh;
  display: flex;
  align-items: center;
}

.blob1 {
    order: 1;
    display: flex;
    flex-direction: column; 
    justify-content: center;
    margin-left: 5dvh;
    width: 40%;
    max-width: 1100px;
}

.blob2 {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    text-align: right;
    margin-right: 5dvh;
    width: 40%;
    max-width: 1100px;
}

.blob3 {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    margin-left: 5dvh;
    width: 40%;
    max-width: 1100px;
}

.blob4 {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    text-align: right;
    margin-right: 5dvh;
    width: 40%;
    max-width: 1100px;
}

.blob5 {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    margin-left: 5dvh;
    width: 40%;
    max-width: 1100px;
}

.blob6 {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    text-align: right;
    margin-right: 5dvh;
    width: 40%;
    max-width: 1100px;
}

#logo {
    order: 2;
    width: 500px;
    height: 500px;
    padding: 10dvw;
    transform: translate(-50, -50);
    top: 0px;
    stroke-dasharray: 1420;
    stroke-dashoffset: 1420;
    animation: animate 2s ease forwards;
}

@keyframes animate {
    0% {
        stroke-dashoffset: 1420;
    }
    100% {
        stroke-dashoffset: 0;
    }
}

@media (max-width: 1000px) {
    #logo {
        width: 500px;
        height: 500px;
        padding: 10dvw;
        transform: translate(-50, -50);
        top: 0px;
        order: 1;

    }
    .left, .right {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-left: 0;
        margin-right: 0;
        height: 100dvh;
        width: 100dvw;
    }
    .head, .paragraph, .head-right, .paragraph-right {
        text-align: center;
        margin-left: 0;
        margin-right: 0;
    }
    .blob1, .blob2, .blob3, .blob4, .blob5, .blob6 {
        align-items: center;
        justify-content: center;
        width: 90%;
        margin-left: 0;
        margin-right: 0;
    }
}

#line {
    position:fixed;
    margin-top: 10px;

    top:12px;
    left:50%;
    transform:translateX(-50%);

    width:150px;
    height:6px;

    border-radius:999px;
    background:white;
    box-shadow: 0 0 25px rgba(255, 255, 255, 0.26);

    transition: transform .65s cubic-bezier(.34, 1.56, .64, 1);
}

/* when active */
#line.active{
    animation: dockAnimationLineUp 0.8s forwards;
}

@keyframes dockAnimationLineUp{

    0%{
        transform: translateX(-50%) scale(120%);
    }

    20%{
        transform: translateX(-50%) translateY(0px);
    }

    30%{
        transform: translateX(-50%) translateY(20px) scale(100%);
    }

    60%{
        transform: translateX(-50%) translateY(15px);
    }

    100%{
        transform: translateX(-50%) translateY(-120px);
    }
}
.navbar.active{
    animation: dockAnimationDockDown 0.8s forwards;
}

@keyframes dockAnimationDockDown{

    0%{
        transform: translateX(-50%) translateY(-100px);
    }

    70%{
        transform: translateX(-50%) translateY(20px);
    }

    100%{
        transform: translateX(-50%) translateY(15px);
    }
}
/* disappearing upward "monitor paradise" effect */
#line.hide {
    animation: dockAnimationLineDown 0.8s forwards;
}

@keyframes dockAnimationLineDown{

    0%{
        transform: translateX(-50%) translateY(-120px);
    }

    30%{
        transform: translateX(-50%) translateY(10px);
    }

    100%{
        transform: translateX(-50%) translateY(5px);
    }
}

.navbar.hide {
    animation: dockAnimationDockUp 0.8s forwards;
}
@keyframes dockAnimationDockUp{

    0%{
        transform: translateX(-50%) translateY(15px);
    }

    90%{
        transform: translateX(-50%) translateY(20px);
    }

    100%{
        transform: translateX(-50%) translateY(-100px);
    }
}

.navbar {
    position: fixed;
	display: inline-block;
	width: max-content;
    top: 5px;
    left: 50%;
    transform: translate(-50%, -300px);
    background: rgba(255, 255, 255, 0.062);
    border-radius: 20px;
    backdrop-filter: blur(5px);
    /* border: 0px solid rgba(255, 255, 255, 0.15);  */
    /* box-shadow: inset 0 0 0 7px rgba(255, 255, 255, 0.61); */
    padding: 10px;
	border: 0px;
}

/* Remove ugly list styling */
.navbar ul {
    list-style: none;
    display: flex;
    justify-content: space-around;
    margin: 0px;
    padding: 0px;
}

/* Dock buttons */
.navbar a {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: white;
    font-size: 24px;
    border-radius: 12px;
    transition: all 0.25s ease;
}

/* Hover animation */
.navbar a:hover {
    background: rgba(255, 255, 255, 0.15);
    transform: translateY(-5px) scale(1.1);
    box-shadow: 0 0 20px rgba(255,255,255,0.2);
}

.navbar img {
    width: 35px;
    height: 35px;
    display: block;
    flex-shrink: 0;
}

.contact {
    font-family: "Schoolbell", cursive;
    background: linear-gradient(135deg, #ff8800, #ffd000);
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.schoolbell-regular {
  font-family: "Schoolbell", cursive;
  font-weight: 400;
  font-style: normal;
}

.contentofcontact {
    display: flex;
    justify-content: center;
    align-items: center;
}
.vBox {
    width: 600px;
    height: 600px;
    position: relative;
    background-color: #ffffff62;
    align-items: center;
    border-radius: 25px;
    margin-top: 100px;
    margin-bottom: 100px;

}

#name {
    color: #f4f4f9;
    position: absolute;
    text-align: center;
    font-size: 50px;
    top: 70%;
    transform: translate(-50%, -50%);
    left: 50%;

}

.endline {
    color:#ffffff;
    font-size: 1dvw;
    position: absolute;
    text-align: center;
    transform: translate(-50%, -50%);
    left: 50%;
}